Security Enhanced Linux Reference Policy

# Layer: services

## Module: razor

Interfaces Templates

### Description:

A distributed, collaborative, spam detection and filtering network.

This policy will work with either the ATrpms provided config file in /etc/razor, or with the default of dumping everything into $HOME/.razor.

### Interfaces:

razor_domtrans( domain )

##### Summary

Execute razor in the system razor domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

razor_role( role , domain )

##### Summary

Role access for razor

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access
domain | User domain for the role

Return

### Templates:

razor_common_domain_template( prefix )

##### Summary

Template to create types and rules common to all razor domains.

##### Parameters

Parameter: | Description:
--- | ---
prefix | The prefix of the domain (e.g., user is the prefix for user_t).

Return